#
# spec file for package perl-Convert-BER (Version 1.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Convert-BER
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl_ber
Obsoletes:    perl_ber
Autoreqprov:  on
Summary:      Convert::BER
Version:      1.31
Release:      116
Source:       Convert-BER-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Convert::BER is a perl object class implementation to encode
and decode objects as described by ITU-T standard X.209 (ASN.1)
using Basic Encoding Rules (BER)

Authors:
--------
    Graham Barr <gbarr@pobox.com>

SuSE series: perl

%prep
%setup -n Convert-BER-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT//var/adm/perl-modules/Convert-BER
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Convert/BER
cat .packlist | sed s:$RPM_BUILD_ROOT:: | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat Convert-BER | sed s:$RPM_BUILD_ROOT:: > Convert-BER.n
mv Convert-BER.n Convert-BER

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README
/usr/lib/perl5/site_perl/5.*/Convert/BER.pod
/usr/lib/perl5/site_perl/5.*/Convert/BER.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Convert/BER
%doc %{_mandir}/man3/*
/var/adm/perl-modules/Convert-BER

%changelog -n perl-Convert-BER
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_ber -> perl-Convert-BER
* Tue Aug 22 2000 - cihlar@suse.cz
- update to version 1.31
- added BuildRoot
- bzipped sources
* Fri Mar 17 2000 - ug@suse.de
- build for IMap Server CD
